Class | Irc::NetmaskList
In: | lib/rbot/irc.rb
Parent: | ArrayOf

A NetmaskList is an ArrayOf `Netmask`s

### Methods

[] new

### Public Class methods

new(ar=[])

Create a new NetmaskList, optionally filling it with the elements from the Array argument fed to it.

### Public Instance methods

[](*args)

We enhance the [] method by allowing it to pick an element that matches a given Netmask, a String or a Regexp TODO take into consideration the opportunity to use select() instead of find(), and/or a way to let the user choose which one to take (second argument?)

[Validate]